> For the complete documentation index, see [llms.txt](https://docs.shiftiq.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.shiftiq.com/developers/api-v2/navigating-the-api/courses-api-courses.md).

# Courses API: Courses

## GET /api/courses/{course}

> Retrieves one specific course

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CourseModel":{"type":"object","properties":{"CatalogId":{"type":"string","format":"uuid","nullable":true},"CompletedToAdministratorMessageId":{"type":"string","format":"uuid","nullable":true},"CompletedToLearnerMessageId":{"type":"string","format":"uuid","nullable":true},"CompletionActivityId":{"type":"string","format":"uuid","nullable":true},"CourseId":{"type":"string","format":"uuid"},"CreatedBy":{"type":"string","format":"uuid"},"FrameworkStandardId":{"type":"string","format":"uuid","nullable":true},"GradebookId":{"type":"string","format":"uuid","nullable":true},"ModifiedBy":{"type":"string","format":"uuid"},"SourceId":{"type":"string","format":"uuid","nullable":true},"StalledToAdministratorMessageId":{"type":"string","format":"uuid","nullable":true},"StalledToLearnerMessageId":{"type":"string","format":"uuid","nullable":true},"AllowDiscussion":{"type":"boolean"},"CourseIsHidden":{"type":"boolean"},"IsDisplayOverviewOnly":{"type":"boolean"},"IsMultipleUnitsEnabled":{"type":"boolean"},"IsProgressReportEnabled":{"type":"boolean"},"CourseCode":{"type":"string","nullable":true},"CourseDescription":{"type":"string","nullable":true},"CourseFlagColor":{"type":"string","nullable":true},"CourseFlagText":{"type":"string","nullable":true},"CourseHook":{"type":"string","nullable":true},"CourseIcon":{"type":"string","nullable":true},"CourseImage":{"type":"string","nullable":true},"CourseLabel":{"type":"string","nullable":true},"CourseLevel":{"type":"string","nullable":true},"CourseName":{"type":"string","nullable":true},"CoursePlatform":{"type":"string","nullable":true},"CourseProgram":{"type":"string","nullable":true},"CourseSlug":{"type":"string","nullable":true},"CourseStyle":{"type":"string","nullable":true},"CourseUnit":{"type":"string","nullable":true},"CourseAsset":{"type":"integer","format":"int32"},"CourseSequence":{"type":"integer","format":"int32","nullable":true},"OutlineWidth":{"type":"integer","format":"int32","nullable":true},"SendMessageStalledAfterDays":{"type":"integer","format":"int32","nullable":true},"SendMessageStalledMaxCount":{"type":"integer","format":"int32","nullable":true},"Closed":{"type":"string","format":"date-time","nullable":true},"Created":{"type":"string","format":"date-time"},"Modified":{"type":"string","format":"date-time"}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/courses/{course}":{"get":{"tags":["Courses API: Courses"],"summary":"Retrieves one specific course","operationId":"retrieveCourse","parameters":[{"name":"course","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CourseModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/CourseModel"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## HEAD /api/courses/{course}

> Checks for the existence of one specific course

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"ProblemDetails":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/courses/{course}":{"head":{"tags":["Courses API: Courses"],"summary":"Checks for the existence of one specific course","operationId":"assertCourse","parameters":[{"name":"course","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## POST /api/courses/collect

> Collects the list of courses that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CollectCourses":{"type":"object","properties":{"ClosedSince":{"type":"string","format":"date-time","nullable":true},"ClosedBefore":{"type":"string","format":"date-time","nullable":true},"CreatedSince":{"type":"string","format":"date-time","nullable":true},"CreatedBefore":{"type":"string","format":"date-time","nullable":true},"ModifiedSince":{"type":"string","format":"date-time","nullable":true},"ModifiedBefore":{"type":"string","format":"date-time","nullable":true},"IsPublished":{"type":"boolean","nullable":true}},"additionalProperties":false},"CourseModel":{"type":"object","properties":{"CatalogId":{"type":"string","format":"uuid","nullable":true},"CompletedToAdministratorMessageId":{"type":"string","format":"uuid","nullable":true},"CompletedToLearnerMessageId":{"type":"string","format":"uuid","nullable":true},"CompletionActivityId":{"type":"string","format":"uuid","nullable":true},"CourseId":{"type":"string","format":"uuid"},"CreatedBy":{"type":"string","format":"uuid"},"FrameworkStandardId":{"type":"string","format":"uuid","nullable":true},"GradebookId":{"type":"string","format":"uuid","nullable":true},"ModifiedBy":{"type":"string","format":"uuid"},"SourceId":{"type":"string","format":"uuid","nullable":true},"StalledToAdministratorMessageId":{"type":"string","format":"uuid","nullable":true},"StalledToLearnerMessageId":{"type":"string","format":"uuid","nullable":true},"AllowDiscussion":{"type":"boolean"},"CourseIsHidden":{"type":"boolean"},"IsDisplayOverviewOnly":{"type":"boolean"},"IsMultipleUnitsEnabled":{"type":"boolean"},"IsProgressReportEnabled":{"type":"boolean"},"CourseCode":{"type":"string","nullable":true},"CourseDescription":{"type":"string","nullable":true},"CourseFlagColor":{"type":"string","nullable":true},"CourseFlagText":{"type":"string","nullable":true},"CourseHook":{"type":"string","nullable":true},"CourseIcon":{"type":"string","nullable":true},"CourseImage":{"type":"string","nullable":true},"CourseLabel":{"type":"string","nullable":true},"CourseLevel":{"type":"string","nullable":true},"CourseName":{"type":"string","nullable":true},"CoursePlatform":{"type":"string","nullable":true},"CourseProgram":{"type":"string","nullable":true},"CourseSlug":{"type":"string","nullable":true},"CourseStyle":{"type":"string","nullable":true},"CourseUnit":{"type":"string","nullable":true},"CourseAsset":{"type":"integer","format":"int32"},"CourseSequence":{"type":"integer","format":"int32","nullable":true},"OutlineWidth":{"type":"integer","format":"int32","nullable":true},"SendMessageStalledAfterDays":{"type":"integer","format":"int32","nullable":true},"SendMessageStalledMaxCount":{"type":"integer","format":"int32","nullable":true},"Closed":{"type":"string","format":"date-time","nullable":true},"Created":{"type":"string","format":"date-time"},"Modified":{"type":"string","format":"date-time"}},"additionalProperties":false}}},"paths":{"/api/courses/collect":{"post":{"tags":["Courses API: Courses"],"summary":"Collects the list of courses that match specific criteria","operationId":"collectCourses","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CollectCourses"}},"application/json":{"schema":{"$ref":"#/components/schemas/CollectCourses"}},"text/json":{"schema":{"$ref":"#/components/schemas/CollectCourses"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CollectCourses"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CourseModel"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CourseModel"}}}}}}}}}}
```

## POST /api/courses/count

> Counts the courses that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CountCourses":{"type":"object","properties":{"ClosedSince":{"type":"string","format":"date-time","nullable":true},"ClosedBefore":{"type":"string","format":"date-time","nullable":true},"CreatedSince":{"type":"string","format":"date-time","nullable":true},"CreatedBefore":{"type":"string","format":"date-time","nullable":true},"ModifiedSince":{"type":"string","format":"date-time","nullable":true},"ModifiedBefore":{"type":"string","format":"date-time","nullable":true},"IsPublished":{"type":"boolean","nullable":true}},"additionalProperties":false},"CountResult":{"type":"object","properties":{"Count":{"type":"integer","format":"int32"},"Summary":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/courses/count":{"post":{"tags":["Courses API: Courses"],"summary":"Counts the courses that match specific criteria","operationId":"countCourses","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CountCourses"}},"application/json":{"schema":{"$ref":"#/components/schemas/CountCourses"}},"text/json":{"schema":{"$ref":"#/components/schemas/CountCourses"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CountCourses"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CountResult"}},"text/json":{"schema":{"$ref":"#/components/schemas/CountResult"}}}}}}}}}
```

## POST /api/courses/download

> Downloads the list of courses that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CollectCourses":{"type":"object","properties":{"ClosedSince":{"type":"string","format":"date-time","nullable":true},"ClosedBefore":{"type":"string","format":"date-time","nullable":true},"CreatedSince":{"type":"string","format":"date-time","nullable":true},"CreatedBefore":{"type":"string","format":"date-time","nullable":true},"ModifiedSince":{"type":"string","format":"date-time","nullable":true},"ModifiedBefore":{"type":"string","format":"date-time","nullable":true},"IsPublished":{"type":"boolean","nullable":true}},"additionalProperties":false}}},"paths":{"/api/courses/download":{"post":{"tags":["Courses API: Courses"],"summary":"Downloads the list of courses that match specific criteria","operationId":"downloadCourses","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CollectCourses"}},"application/json":{"schema":{"$ref":"#/components/schemas/CollectCourses"}},"text/json":{"schema":{"$ref":"#/components/schemas/CollectCourses"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CollectCourses"}}}},"responses":{"200":{"description":"OK"}}}}}}
```

## POST /api/courses/search

> Searches for the list of courses that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"SearchCourses":{"type":"object","properties":{"ClosedSince":{"type":"string","format":"date-time","nullable":true},"ClosedBefore":{"type":"string","format":"date-time","nullable":true},"CreatedSince":{"type":"string","format":"date-time","nullable":true},"CreatedBefore":{"type":"string","format":"date-time","nullable":true},"ModifiedSince":{"type":"string","format":"date-time","nullable":true},"ModifiedBefore":{"type":"string","format":"date-time","nullable":true},"IsPublished":{"type":"boolean","nullable":true}},"additionalProperties":false},"CourseMatch":{"type":"object","properties":{"CourseId":{"type":"string","format":"uuid"},"CourseName":{"type":"string","nullable":true},"CourseCode":{"type":"string","nullable":true},"CourseLabel":{"type":"string","nullable":true},"CourseHook":{"type":"string","nullable":true},"CourseIsHidden":{"type":"boolean"},"CatalogId":{"type":"string","format":"uuid","nullable":true},"CatalogName":{"type":"string","nullable":true},"CatalogIsHidden":{"type":"boolean","nullable":true},"PublicationStatus":{"type":"string","nullable":true},"PublicationDate":{"type":"string","format":"date-time","nullable":true},"PublicationAuthor":{"type":"string","nullable":true},"PublicationPageId":{"type":"string","format":"uuid","nullable":true},"UnitCount":{"type":"integer","format":"int32","nullable":true},"ModuleCount":{"type":"integer","format":"int32","nullable":true},"ActivityCount":{"type":"integer","format":"int32","nullable":true},"EnrollmentCount":{"type":"integer","format":"int32"},"EnrollmentCountStarted":{"type":"integer","format":"int32"},"EnrollmentCountCompleted":{"type":"integer","format":"int32"},"GradebookId":{"type":"string","format":"uuid","nullable":true},"GradebookTitle":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/courses/search":{"post":{"tags":["Courses API: Courses"],"summary":"Searches for the list of courses that match specific criteria","operationId":"searchCourses","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/SearchCourses"}},"application/json":{"schema":{"$ref":"#/components/schemas/SearchCourses"}},"text/json":{"schema":{"$ref":"#/components/schemas/SearchCourses"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/SearchCourses"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CourseMatch"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CourseMatch"}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.shiftiq.com/developers/api-v2/navigating-the-api/courses-api-courses.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
